Page MenuHomePhabricator

Creating private tasks by filling a web form (for AffCom)
Closed, DeclinedPublic

Description

The Affiliations Committee is interested in moving to Phabricator. Part of the work they do is public and can be handled with existing features. However, an important part of their work requires some investigation.

The AffCom deals with reports of abuse of Wikimedia trademarks. They use this form that posts new reports as emails. As you can see, this process has room for improvement, and a private project with a private board to organize private tasks would make wonders in comparison.

It looks like we have the pieces in place, but we haven't tested them together:

  • The web form should be able to post an email to Phabricator to create a new task.
  • The format of the email should be good enough to get a readable task.
  • Using an appropriate template, it should be possible to create those tasks with a private policy (T823#1032703)

In fact, perhaps the best solution is to create a simple Phabricator extension replicating AffCom's form? Even if it contains many fields, that data could be simply printed in the task description. There is no need to store it as metadata in a special table.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved RobLa-WMF
ResolvedQgil
ResolvedDzahn
ResolvedQgil
ResolvedAklapper
Invalidmmodell
Resolvedmmodell
Resolvedmmodell
DeclinedQgil
DeclinedVarnent
ResolvedQgil
ResolvedRobH
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
DeclinedAklapper
ResolvedQgil
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
ResolvedQgil
Resolvedgpaumier
ResolvedAklapper
ResolvedDzahn
ResolvedDzahn
DeclinedNone
ResolvedRobH
DuplicateRobH
Declinedmmodell
Duplicatemmodell
ResolvedQgil
Resolvedmmodell
ResolvedSpringle
ResolvedNone
Resolvedmmodell
Resolvedmmodell
Resolvedmmodell
ResolvedDStrine
Resolvedcsteipp
Resolved ksmith

Event Timeline

Qgil created this task.Feb 12 2015, 8:08 AM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added projects: Phabricator, Project-Admins.
Qgil added subscribers: Qgil, Slaporte, Varnent.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2015, 8:08 AM
Aklapper triaged this task as Low priority.Feb 12 2015, 3:40 PM

In fact, perhaps the best solution is to create a simple Phabricator extension replicating AffCom's form?

But who would maintain that?

It is possible to send email to specific address, get a task created in Phabricator that is kind of readable and has some project assigned which has some default access restrictions at least for the case of Ops.

I'd rather try to reuse/enhance that framework...

Just a quick, and incredibly minor, clarification (mostly because this is public). The AffCom doesn't technically handle trademark concerns, those are dealt with by Legal. However, we are in the process of creating a form for use with WUG approvals. That form is based off the extension the Trademark form uses - so that's why the two are connected. :) In any case, technically not relevant, just didn't want to give folks the impression we were stepping on Legal's toes. :)

Qgil added a comment.Feb 25 2015, 2:40 PM

Thank you for the clarification. I was wondering indeed.

With that disclaimer out of the way... :)

Obviously AffCom would love to have ongoing technical support. However, I suspect that Aklapper is right, and ultimately a new extension might be burdensome. I like the idea of creating something off an existing one. However, I do wonder, are there other possible applications for this? Perhaps switching the Trademark process to Phab? That's not in my wheelhouse obviously, but if there would be multiple uses, seems as though we could then justify a new extension.

Qgil added a comment.Feb 25 2015, 2:49 PM

How often do you get new requests?

Right now - we are averaging about 20-30 a year. However, we need to be ready to scale as the board envisions potentially hundreds of user groups one day. That may tapper off one day as it did with chapters, or it might not as has been the case with Mozilla, Drupal, and other communities that utilize a similar model.

Qgil added a comment.Feb 26 2015, 10:50 AM

Creating and maintaining an extension for this volume of requests feels like an overkill.

I also wonder which % of requests you receive that are private, and how useful is that the discussion with the sender is private versus public. Given that you are dealing with potential groups, maybe it would be easier for everybody to have a public process using a regular Phabricator process that everybody can follow and participate in? You can still point user to your email address if they want to contact AffCom privately.

Qgil changed the status of subtask T823: Implement Phabricator Spaces from Stalled to Open.May 12 2015, 7:03 AM
Restricted Application added a subscriber: scfc. · View Herald TranscriptJul 2 2015, 1:58 PM

If this was attempted via a Phabricator Space, this would still require upstream to first provide prefilling of all fields in all forms, e.g. in this case setting the Space via a URL parameter or such (not possible yet).

Krenair added a subscriber: Krenair.Sep 2 2015, 2:13 PM

Yeah, you can't file a task in a space you can't view. I doubt they're going to let you bypass that with URL parameters.

Can be realized by forms, after update.

This is now possible - I just need to know what the defaults should be and which fields should be shown/hidden.

mmodell moved this task from Misc to Ready to Go on the Phabricator board.Feb 18 2016, 4:11 AM

..and who should see the form

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 7 2016, 5:10 PM
Aklapper changed the task status from Open to Stalled.May 8 2018, 9:55 AM

I just need to know what the defaults should be and which fields should be shown/hidden.

! In T89335#2038237, @Luke081515 wrote:

..and who should see the form

@Qgil / @Varnent: If this is still wanted, can you provide these details please? Afterwards, please set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!

Aklapper assigned this task to Varnent.May 29 2018, 12:08 PM
Aklapper closed this task as Declined.Jun 21 2018, 8:01 AM

@Qgil / @Varnent: If this is still wanted, can you provide these details please?

No reply in the last six weeks, hence closing this task as declined for the time being.

If this is still wanted, please provide requested info and set the status of this task back to "Open" via the Add Action...Change Status dropdown. Thanks!